aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat
diff options
context:
space:
mode:
authorGary Wu <gary.wu@futurewei.com>2019-06-27 10:30:52 -0700
committerGary Wu <gary.wu@futurewei.com>2019-06-27 10:51:25 -0700
commitd15450419ab00cb77af96f57252012edc5276b98 (patch)
treeabcff6fbbafb3dde2e089e9979e6a4ea01025693 /deployment/heat
parent17314cd2c1e0ae88cc460d96e3731a72dd3a37d9 (diff)
Decommission java and docker manifests
Issue-ID: INT-1128 Signed-off-by: Gary Wu <gary.wu@futurewei.com> Change-Id: Id8b3f228f0813a82e871feb57cc865905dff9988
Diffstat (limited to 'deployment/heat')
-rw-r--r--deployment/heat/onap-rke/nfs_vm_entrypoint.sh11
-rw-r--r--deployment/heat/onap-rke/onap-oom.yaml5
-rw-r--r--deployment/heat/onap-rke/parts/onap-oom-1.yaml4
-rwxr-xr-xdeployment/heat/onap-rke/scripts/deploy.sh28
-rwxr-xr-xdeployment/heat/onap-rke/scripts/gen-onap-oom-yaml.sh1
-rwxr-xr-xdeployment/heat/onap-rke/scripts/prepull-docker.sh26
-rwxr-xr-xdeployment/heat/onap-rke/scripts/redeploy.sh10
7 files changed, 10 insertions, 75 deletions
diff --git a/deployment/heat/onap-rke/nfs_vm_entrypoint.sh b/deployment/heat/onap-rke/nfs_vm_entrypoint.sh
index 871998a72..f8997c96f 100644
--- a/deployment/heat/onap-rke/nfs_vm_entrypoint.sh
+++ b/deployment/heat/onap-rke/nfs_vm_entrypoint.sh
@@ -34,7 +34,6 @@ echo "__integration_gerrit_branch__" > /opt/config/integration_gerrit_branch.txt
echo "__integration_gerrit_refspec__" > /opt/config/integration_gerrit_refspec.txt
echo "__oom_gerrit_branch__" > /opt/config/oom_gerrit_branch.txt
echo "__oom_gerrit_refspec__" > /opt/config/oom_gerrit_refspec.txt
-echo "__docker_manifest__" > /opt/config/docker_manifest.txt
echo "__docker_proxy__" > /opt/config/docker_proxy.txt
echo "__docker_version__" > /opt/config/docker_version.txt
echo "__kubectl_version__" > /opt/config/kubectl_version.txt
@@ -153,16 +152,6 @@ if [ ! -z "__integration_gerrit_refspec__" ]; then
fi
-if [ ! -z "__docker_manifest__" ]; then
- cd version-manifest/src/main/scripts
- ./update-oom-image-versions.sh ../resources/__docker_manifest__ ~/oom/
-fi
-
-cd ~/oom
-git diff
-git submodule foreach --recursive 'git commit -a -m "apply manifest versions" || :'
-git commit -a -m "apply manifest versions"
-
cd ~/oom
# workaround to change onap portal cookie domain
#sed -i "s/^cookie_domain.*=.*/cookie_domain = __portal_hostname__/g" ./kubernetes/portal/charts/portal-app/resources/config/deliveries/properties/ONAPPORTAL/system.properties
diff --git a/deployment/heat/onap-rke/onap-oom.yaml b/deployment/heat/onap-rke/onap-oom.yaml
index f3f82ef61..0044cf7f2 100644
--- a/deployment/heat/onap-rke/onap-oom.yaml
+++ b/deployment/heat/onap-rke/onap-oom.yaml
@@ -59,10 +59,6 @@ parameters:
type: string
default: ""
- docker_manifest:
- type: string
- default: ""
-
key_name:
type: string
default: "onap_key"
@@ -235,7 +231,6 @@ resources:
__integration_gerrit_refspec__: { get_param: integration_gerrit_refspec }
__oom_gerrit_branch__: { get_param: oom_gerrit_branch }
__oom_gerrit_refspec__: { get_param: oom_gerrit_refspec }
- __docker_manifest__: { get_param: docker_manifest }
__docker_version__: { get_param: docker_version }
__kubectl_version__: { get_param: kubectl_version }
__helm_version__: { get_param: helm_version }
diff --git a/deployment/heat/onap-rke/parts/onap-oom-1.yaml b/deployment/heat/onap-rke/parts/onap-oom-1.yaml
index d210f985d..7571d9f9c 100644
--- a/deployment/heat/onap-rke/parts/onap-oom-1.yaml
+++ b/deployment/heat/onap-rke/parts/onap-oom-1.yaml
@@ -56,10 +56,6 @@ parameters:
type: string
default: ""
- docker_manifest:
- type: string
- default: ""
-
key_name:
type: string
default: "onap_key"
diff --git a/deployment/heat/onap-rke/scripts/deploy.sh b/deployment/heat/onap-rke/scripts/deploy.sh
index 30997706d..c6f665cd5 100755
--- a/deployment/heat/onap-rke/scripts/deploy.sh
+++ b/deployment/heat/onap-rke/scripts/deploy.sh
@@ -25,22 +25,21 @@ fi
usage() {
- echo "Usage: $0 [ -n <number of VMs {2-15}> ][ -s <stack name> ][ -m <manifest> ][ -d <domain> ][ -i <integration_branch> ][ -o <oom_branch> ][ -r ][ -q ] <env>" 1>&2;
+ echo "Usage: $0 [ -n <number of VMs {2-15}> ][ -s <stack name> ][ -d <domain> ][ -i <integration_branch> ][ -o <oom_branch> ][ -r ][ -q ] <env>" 1>&2;
- echo "n: Set the number of VM's that will be installed. This number must be between 2 and 15" 1>&2;
- echo "s: Set the name to be used for stack. This name will be used for naming of resources" 1>&2;
- echo "d: Set the base domain name to be used in portal UI URLs" 1>&2;
- echo "m: The docker manifest to apply; can only \"docker-manifest-staging.csv\"." 1>&2;
- echo "i: Set the branch of integration repo to clone." 1>&2;
- echo "o: Set the branch of oom repo to clone." 1>&2;
- echo "r: Delete all resources relating to ONAP within enviroment." 1>&2;
- echo "q: Quiet Delete of all ONAP resources." 1>&2;
+ echo "n: Number of worker VMs to deploy. This number must be between 2 and 15." 1>&2;
+ echo "s: Stack name. This name will be used for naming of resources." 1>&2;
+ echo "d: Base domain name to be used in portal UI URLs." 1>&2;
+ echo "i: Branch of integration repo to clone." 1>&2;
+ echo "o: Branch of oom repo to clone." 1>&2;
+ echo "r: Delete all ONAP resource within tenant." 1>&2;
+ echo "q: Quiet delete of all ONAP resources within tenant." 1>&2;
exit 1;
}
-while getopts ":n:s:d:m:i:o:rq" o; do
+while getopts ":n:s:d:i:o:rq" o; do
case "${o}" in
n)
if [[ ${OPTARG} =~ ^[0-9]+$ ]];then
@@ -67,13 +66,6 @@ while getopts ":n:s:d:m:i:o:rq" o; do
usage
fi
;;
- m)
- if [ -f $WORKSPACE/version-manifest/src/main/resources/${OPTARG} ]; then
- docker_manifest=${OPTARG}
- else
- usage
- fi
- ;;
i)
integration_gerrit_branch=${OPTARG}
;;
@@ -155,7 +147,7 @@ for n in $(seq 1 5); do
./scripts/gen-onap-oom-yaml.sh $vm_num > onap-oom.yaml~
fi
- if ! openstack stack create -t ./onap-oom.yaml~ -e $ENV_FILE~ $stack_name --parameter integration_gerrit_branch=$integration_gerrit_branch --parameter oom_gerrit_branch=$oom_gerrit_branch --parameter docker_manifest=$docker_manifest --parameter portal_hostname=$portal_hostname; then
+ if ! openstack stack create -t ./onap-oom.yaml~ -e $ENV_FILE~ $stack_name --parameter integration_gerrit_branch=$integration_gerrit_branch --parameter oom_gerrit_branch=$oom_gerrit_branch -parameter portal_hostname=$portal_hostname; then
break
fi
diff --git a/deployment/heat/onap-rke/scripts/gen-onap-oom-yaml.sh b/deployment/heat/onap-rke/scripts/gen-onap-oom-yaml.sh
index 733aa2075..124f1aded 100755
--- a/deployment/heat/onap-rke/scripts/gen-onap-oom-yaml.sh
+++ b/deployment/heat/onap-rke/scripts/gen-onap-oom-yaml.sh
@@ -67,7 +67,6 @@ cat <<EOF
__integration_gerrit_refspec__: { get_param: integration_gerrit_refspec }
__oom_gerrit_branch__: { get_param: oom_gerrit_branch }
__oom_gerrit_refspec__: { get_param: oom_gerrit_refspec }
- __docker_manifest__: { get_param: docker_manifest }
__docker_version__: { get_param: docker_version }
__kubectl_version__: { get_param: kubectl_version }
__helm_version__: { get_param: helm_version }
diff --git a/deployment/heat/onap-rke/scripts/prepull-docker.sh b/deployment/heat/onap-rke/scripts/prepull-docker.sh
deleted file mode 100755
index 37385dd55..000000000
--- a/deployment/heat/onap-rke/scripts/prepull-docker.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash -x
-#
-# Copyright 2018 Huawei Technologies Co., Ltd.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-
-if [ -z "$WORKSPACE" ]; then
- export WORKSPACE=`git rev-parse --show-toplevel`
-fi
-
-if [ "$#" -ne 1 ]; then
- echo "Usage: $0 <docker-proxy>"
- exit 1
-fi
-DOCKER_PROXY=$1
-
-for MANIFEST in docker-manifest.csv docker-manifest-staging.csv; do
- for DOCKER_IMAGE in $(tail -n +2 $WORKSPACE/version-manifest/src/main/resources/$MANIFEST | tr ',' ':'); do
- docker pull $DOCKER_PROXY/$DOCKER_IMAGE
- done
-done
diff --git a/deployment/heat/onap-rke/scripts/redeploy.sh b/deployment/heat/onap-rke/scripts/redeploy.sh
index d18fab970..fdc26150e 100755
--- a/deployment/heat/onap-rke/scripts/redeploy.sh
+++ b/deployment/heat/onap-rke/scripts/redeploy.sh
@@ -35,7 +35,6 @@ OOM_GERRIT_BRANCH=master
OOM_GERRIT_REFSPEC=refs/heads/master
INTEGRATION_GERRIT_BRANCH=master
INTEGRATION_GERRIT_REFSPEC=refs/heads/master
-DOCKER_MANIFEST=""
# Verify that k8s works
if [ $(kubectl get pods --namespace kube-system | tail -n +2 | grep -c Running) -lt 6 ]; then
@@ -72,14 +71,6 @@ git checkout FETCH_HEAD
git checkout -b workarounds
git log -1
-if [ ! -z "$DOCKER_MANIFEST" ]; then
- cd version-manifest/src/main/scripts
- ./update-oom-image-versions.sh ../resources/$DOCKER_MANIFEST ~/oom/
-fi
-
-cd ~/oom
-git diff
-git commit -a -m "apply manifest versions"
git tag -a "deploy0" -m "initial deployment"
@@ -99,4 +90,3 @@ rsync -avt ~/oom/kubernetes/helm/plugins ~/.helm/
helm search -l | grep local
helm deploy dev local/onap -f ~/oom/kubernetes/onap/resources/environments/public-cloud.yaml -f ~/integration-override.yaml --namespace onap | ts | tee -a ~/helm-deploy.log
helm list
-